
Redmine - Defect #9798

Release 1.3.0 does not detect rubytree under ruby 1.9.3p0 / rails 2.3.14

2011-12-14 16:55 - Yuri Astrakhan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version:  

Description

Redmine keeps asking for rubytree even though it is already installed.

C:\redmine>rake db:migrate RAILS_ENV=production

Missing these required gems:

  rubytree  >= 0

You're running:

  ruby 1.9.3.0 at C:/Ruby193/bin/ruby.exe

  rubygems 1.8.11 at C:/Ruby193/lib/ruby/gems/1.9.1, C:/Documents and Settings/merlin/.gem/ruby/1.

9.1

Run `rake gems:install` to install the missing gems.

C:\redmine>rake gems:install

gem install rubytree --version ">= 0" 

file 'COPYING,API-CHANGES' not found

file 'COPYING,API-CHANGES' not found

========================================================================

 Thank you for installing rubytree.

              WARNING: SIGNIFICANT API CHANGE in 0.8.0 !

              ------------------------------------------

 Please note that as of 0.8.0 the CamelCase method names are DEPRECATED.

 The new method names follow the ruby_convention (separated by '_').

 The old CamelCase methods still work (a warning will be displayed),

 but may go away in the future.

 Details of the API changes are documented in the API-CHANGES file.

========================================================================

Successfully installed rubytree-0.8.1

1 gem installed

Installing ri documentation for rubytree-0.8.1...

Installing RDoc documentation for rubytree-0.8.1...

                     (rerunning "rake migrate" shows the same error as above)

C:\redmine>gem list

*** LOCAL GEMS ***

actionmailer (2.3.14)

actionpack (2.3.14)

activerecord (2.3.14)

activeresource (2.3.14)

activesupport (2.3.14)

bigdecimal (1.1.0)
cgi_multipart_eof_fix (2.5.0)

gem_plugin (0.2.3)

i18n (0.6.0)

io-console (0.3)

json (1.5.4)

minitest (2.5.1)

mongrel (1.1.5 x86-mingw32)

rack (1.1.2, 1.1.1)

rails (2.3.14)

rake (0.9.2.2)

rdoc (3.9.4)

rubytree (0.8.1)

C:\redmine>ruby --version

ruby 1.9.3p0 (2011-10-30) [i386-mingw32]

Related issues:

Related to Redmine - Feature #4050: Ruby 1.9 support Closed 2009-10-18

Related to Redmine - Defect #9815: Release 1.3.0 does not detect rubytree wit... Closed

History

#1 - 2011-12-14 17:00 - Etienne Massip

- Description updated

- Category set to Gems support

- Affected version (unused) changed from 1.3.0 to devel

- Affected version deleted (1.3.0)

Redmine 1.3.0 does not support Ruby 1.9; 1.4.0 will.

#2 - 2011-12-14 17:21 - Etienne Massip

- Priority changed from Urgent to Normal

#3 - 2011-12-14 19:35 - Yuri Astrakhan

Thanks, http://www.redmine.org/projects/redmine/wiki/RedmineInstall/diff?version=141&version_from=140&commit=View+differences got me a bit

confused as to which version requires what.

#4 - 2011-12-15 08:36 - Etienne Massip

- Target version set to 1.4.0

Not entirely sure, but r8214 should have fixed this?

#5 - 2011-12-15 11:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Indeed. The gem is no longer needed. It was heavily monkey-patched and less than 10% of its code was used. And the monkey-patch code was

using syntax that is deprecated in recent rubytree version.

#6 - 2012-03-08 16:06 - Olivier Chorier

Hello,

I'm on windows with the following versions of the program :

ruby 1.8.7 (2012-02-08 patchlevel 358) [i386-mingw32]

gem 1.8.16

gem list :

actionmailer (2.3.14)

actionpack (2.3.14)

activerecord (2.3.14)

activeresource (2.3.14)

activesupport (2.3.14)

mysql (2.8.1 x86-mingw32)
rack (1.1.3)

rails (2.3.14)

rake (0.8.7)

rubytree (0.8.2)

I don't know Ruby, and I try to follow the instructions given on the install page (http://www.redmine.org/projects/redmine/wiki/RedmineInstall).

I'm stuck on the step 5 :

rake generate_session_store -> No error, just "NOTE" like this :

D:\site\redmine>rake generate_session_store

(in D:/site/redmine)

NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.

Gem.source_index called from D:/site/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:21.

NOTE: Gem::SourceIndex#initialize is deprecated with no replacement. It will be removed on or after 2011-11-01.

Gem::SourceIndex#initialize called from D:/site/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:100.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.

Gem::SourceIndex#add_spec called from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.

etc.

After that I try :

rake db:migrate

I get the same "NOTE:" rows, and then :

Please install RDoc 2.4.2+ to generate documentation.

Missing these required gems:

rubytree  >= 0

You're running:

ruby 1.8.7.358 at C:/Ruby187/bin/ruby.exe

rubygems 1.8.16 at C:/Ruby187/lib/ruby/gems/1.8, C:/Documents and Settings/Olivier/.gem/ruby/1.8

Run `rake gems:install` to install the missing gems.

As you can see above, rubytree is installed.

So, what can I do ?

Thanks a lot.

#7 - 2012-03-09 18:19 - Olivier Chorier

Re,

Sorry, I followed steps described on the following page 

http://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_in_a_sub-URI_on_Windows_with_Apache and everything seems to be ok

now.

I probably mixed bad versions of components.

Nevertheless, I'm finally using version 1.0.4 of redmine, not the last one.

Thanks.
